package models

import "github.com/zeromicro/go-zero/core/stores/sqlx"

var _ TaskAiModel = (*customTaskAiModel)(nil)

type (
	// TaskAiModel is an interface to be customized, add more methods here,
	// and implement the added methods in customTaskAiModel.
	TaskAiModel interface {
		taskAiModel
	}

	customTaskAiModel struct {
		*defaultTaskAiModel
	}
)

// NewTaskAiModel returns a model for the database table.
func NewTaskAiModel(conn sqlx.SqlConn) TaskAiModel {
	return &customTaskAiModel{
		defaultTaskAiModel: newTaskAiModel(conn),
	}
}
